Cyberduck Mountain Duck CLI

#10800 closed defect (fixed)

Regression 7.0.2 - 7.1.0: SSH agent not working anymore

Reported by: achim Owned by: dkocher
Priority: normal Milestone: 7.1.1
Component: sftp Version: 7.0.1
Severity: major Keywords:
Cc: Architecture: Intel
Platform:

Description

I use SSH public key authentication in combination with a yubikey and this howto: https://evilmartians.com/chronicles/stick-with-security-yubikey-ssh-gnupg-macos

$SSH_AUTH_SOCK is set correctly and Cyberduck 7.0.2 uses my Yubikey. After I update to 7.1.0 public key authentication is broken.

Change History (11)

comment:1 Changed on Sep 13, 2019 at 7:01:41 AM by dkocher

Relates to #10454. $SSH_AUTH_SOCK only ever worked when you would open Cyberduck from the command line.

comment:2 Changed on Sep 13, 2019 at 7:02:31 AM by dkocher

  • Milestone set to 8.0
  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #10454.

comment:3 Changed on Sep 13, 2019 at 8:01:50 AM by achim

  • Resolution duplicate deleted
  • Status changed from closed to reopened

Sorry, this is not a duplicate of #10454.

I have read and understood #10454 before i opened this bug.

If you create plists according to https://evilmartians.com/chronicles/stick-with-security-yubikey-ssh-gnupg-macos cyberduck 7.0.2 communicates with gpg-agent through its socket if started from the dock.

Cyberduck 7.1.0 does not communicate with gpg-agent neither when started through CLI or the dock and asks for username/password although my ssh server does not support password authentication and uses public key only.

comment:4 Changed on Sep 13, 2019 at 8:33:27 AM by dkocher

  • Owner set to dkocher
  • Status changed from reopened to new

comment:5 Changed on Sep 13, 2019 at 8:33:35 AM by dkocher

  • Status changed from new to assigned

comment:6 Changed on Sep 13, 2019 at 5:51:49 PM by makikatze

I can confirm the problem on my Windows 10 PC. With Cyberduck 7.0.1, it does work fine, using the running gpg agent configured with enable-putty-support (PuTTY does work, too, of course). With the update to 7.1.0, Cyberduck is not able to connect to my SSH server anymore and asks for a password instead.

comment:7 Changed on Sep 20, 2019 at 8:13:58 AM by dkocher

  • Milestone changed from 8.0 to 7.1.1

comment:8 Changed on Sep 20, 2019 at 8:52:40 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r47787.

comment:9 follow-up: Changed on Sep 23, 2019 at 8:43:10 AM by rainbow

The same happen on Mountain Duck 3.2.0. Someone can confirm?

comment:10 in reply to: ↑ 9 Changed on Sep 23, 2019 at 9:38:03 AM by dkocher

Replying to rainbow:

The same happen on Mountain Duck 3.2.0. Someone can confirm?

We will have a fix in Mountain Duck 3.2.1.

comment:11 Changed on Oct 14, 2019 at 11:46:11 AM by oliversalzburg

This is still not working as expected for me. Cyberduck is still not able to authenticate using a key agent. Other pagent-compatible tools work fine.

Note: See TracTickets for help on using tickets.
swiss made software